Name: a2ps
Version: 4.13
Release: alt0.1

Summary: Any to PostScript filter
License: GPL
Group: File tools
Url: http://sweep.sourceforge.net/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: %name-%{version}b.tar.bz2

# Automatically added by buildreq on Fri Aug 29 2003
BuildRequires: ImageMagick XFree86-devel XFree86-libs flex gnu-ghostscript-common
BuildRequires: groff-base gv gzip-utils psutils tetex-core tetex-dvips tetex-latex

%description
GNU a2ps is an Any to PostScript filter.  Of course it processes plain
text files, but also pretty prints quite a few popular languages.

Its slogan is precisely `` Do The Right Thing '', which means that
though it is highly configurable, everything was made so that a novice
user can do complicated PostScript manipulations.  For instance, it
has the ability to delegate the processing of some files to other
filters (such as groff, texi2dvi, dvips, gzip etc.), what allows a
uniform treatment (n-up, page selection, duplex etc.) of heterogeneous
files.

%description -l ru_RU.CP1251
GNU a2ps --  ,      
PostScript.     ,    
     PostScript.    
    ,   groff, texi2dvi,
dvips, gzip  ..

%package -n lib%name
Summary: %name shared library
Group: System/Libraries
License: GPL

%description -n lib%name
The lib%name package contains a shared library of functions of %name' filters.

%description -n lib%name -l ru_RU.CP1251
     ,   %name.

%package -n lib%name-devel
Summary: %name development files
Group: Development/C
License: GPL
PreReq: lib%name = %version-%release

%description -n lib%name-devel
The lib%name package contains development files for using
lib%name in development.

%description -n lib%name-devel -l ru_RU.CP1251
    ,   
 lib%name   .

%package -n lib%name-devel-static
Summary: Staitc library for %name
Group: Development/C
License: GPL
PreReq: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains library for building statically linked software.

%description -n lib%name-devel-static -l ru_RU.CP1251
    ,   
 lib%name    .

%prep
%setup -q

%build
%configure --enable-shared
%make_build

%install
%makeinstall

%find_lang %name

%files -f %name.lang
%config(noreplace) %_sysconfdir/*.cfg
%_bindir/*
%_datadir/%name
%_datadir/ogonkify
%_infodir/*
%_man1dir/*
%doc ANNOUNCE AUTHORS FAQ NEWS README ChangeLog TODO THANKS

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Wed Sep 03 2003 Andrey Astafiev <andrei@altlinux.ru> 4.13-alt0.1
- First version of RPM package for Sisyphus.
